System.Drawing [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.IDisposable

You can also use an object to receive a list of possible values supported by a particular parameter of a particular image encoder.

Used to pass a value, or an array of values, to an image encoder.

- Constructor
  To be added

  Initializes a new instance of the class with the specified object and one unsigned 8-bit integer. Sets the property to , and sets the property to 1.

  An object that encapsulates the globally unique identifier of the parameter category.
  An 8-bit unsigned integer that specifies the value stored in the object.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified object and an array of unsigned 8-bit integers. Sets the property to , and sets the property to the number of elements in the array.

  An object that encapsulates the globally unique identifier of the parameter category.
  An array of 8-bit unsigned integers that specifies the values stored in the object.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified object and one, 16-bit integer. Sets the property to , and sets the property to 1.

  An object that encapsulates the globally unique identifier of the parameter category.
  A 16-bit integer that specifies the value stored in the object. Must be nonnegative.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified object and an array of 16-bit integers. Sets the property to , and sets the property to the number of elements in the array.

  An object that encapsulates the globally unique identifier of the parameter category.
  An array of 16-bit integers that specifies the values stored in the object. The integers in the array must be nonnegative.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified object and one 64-bit integer. Sets the property to (32 bits), and sets the property to 1.

  An object that encapsulates the globally unique identifier of the parameter category.
  A 64-bit integer that specifies the value stored in the object. Must be nonnegative. This parameter is converted to a 32-bit integer before it is stored in the object.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified object and an array of 64-bit integers. Sets the property to (32-bit), and sets the property to the number of elements in the array.

  An object that encapsulates the globally unique identifier of the parameter category.
  An array of 64-bit integers that specifies the values stored in the object. The integers in the array must be nonnegative. The 64-bit integers are converted to 32-bit integers before they are stored in the object.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified object and a character string. The string is converted to a null-terminated ASCII string before it is stored in the object. Sets the property to , and sets the property to the length of the ASCII string including the NULL terminator.

  An object that encapsulates the globally unique identifier of the parameter category.
  A that specifies the value stored in the object.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified object and one 8-bit value. Sets the property to or , and sets the property to 1.

  An object that encapsulates the globally unique identifier of the parameter category.
  A byte that specifies the value stored in the object.
  If true, the property is set to ; otherwise, the property is set to .
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified object and an array of bytes. Sets the property to or , and sets the property to the number of elements in the array.

  An object that encapsulates the globally unique identifier of the parameter category.
  An array of bytes that specifies the values stored in the object.
  If true, the property is set to ; otherwise, the property is set to .
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added.
  To be added

  Initializes a new instance of the class with the specified object and a pair of 32-bit integers. The pair of integers represents a fraction, the first integer being the numerator, and the second integer being the denominator. Sets the property to , and sets the property to 1.

  An object that encapsulates the globally unique identifier of the parameter category.
  A 32-bit integer that represents the numerator of a fraction. Must be nonnegative.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified object and two arrays of 32-bit integers. The two arrays represent an array of fractions. Sets the property to , and sets the property to the number of elements in the array, which must be the same as the number of elements in the array.

  An object that encapsulates the globally unique identifier of the parameter category.
  An array of 32-bit integers that specifies the numerators of the fractions. The integers in the array must be nonnegative.
  An array of 32-bit integers that specifies the denominators of the fractions. The integers in the array must be nonnegative. A denominator of a given index is paired with the numerator of the same index.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified object and a pair of 64-bit integers. The pair of integers represents a range of integers, the first integer being the smallest number in the range, and the second integer being the largest number in the range. Sets the property to , and sets the property to 1.

  An object that encapsulates the globally unique identifier of the parameter category.
  A 64-bit integer that represents the smallest number in a range of integers. Must be nonnegative. This parameter is converted to a 32-bit integer before it is stored in the object.
  A 64-bit integer that represents the largest number in a range of integers. Must be nonnegative. This parameter is converted to a 32-bit integer before it is stored in the object.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified object and two arrays of 64-bit integers. The two arrays represent an array integer ranges. Sets the property to , and sets the property to the number of elements in the array, which must be the same as the number of elements in the array.

  An object that encapsulates the globally unique identifier of the parameter category.
  An array of 64-bit integers that specifies the minimum values for the integer ranges. The integers in the array must be nonnegative. The 64-bit integers are converted to 32-bit integers before they are stored in the object.
  An array of 64-bit integers that specifies the maximum values for the integer ranges. The integers in the array must be nonnegative. The 64-bit integers are converted to 32-bit integers before they are stored in the object. A maximum value of a given index is paired with the minimum value of the same index.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added.
  To be added.
  To be added.
  To be added

  Initializes a new instance of the class with the specified object and three integers that specify the number of values, the data type of the values, and a pointer to the values stored in the object.

  An object that encapsulates the globally unique identifier of the parameter category.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added.
  To be added.
  To be added

  Initializes a new instance of the class with the specified object and four, 32-bit integers. The four integers represent a range of fractions. The first two integers represent the smallest fraction in the range, and the remaining two integers represent the largest fraction in the range. Sets the property to , and sets the property to 1.

  An object that encapsulates the globally unique identifier of the parameter category.
  A 32-bit integer that represents the numerator of the smallest fraction in the range. Must be nonnegative.
  A 32-bit integer that represents the denominator of the smallest fraction in the range. Must be nonnegative.
  1.0.5000.0
  2.0.0.0
- Constructor

  The ith range consists of all fractional numbers from numerator1[i]/denominator1[i] through numerator2[i]/denominator2[i].

  Initializes a new instance of the class with the specified object and four arrays of 32-bit integers. The four arrays represent an array rational ranges. A rational range is the set of all fractions from a minimum fractional value through a maximum fractional value. Sets the property to , and sets the property to the number of elements in the array, which must be the same as the number of elements in the other three arrays.

  An object that encapsulates the globally unique identifier of the parameter category.
  An array of 32-bit integers that specifies the numerators of the minimum values for the ranges. The integers in the array must be nonnegative.
  An array of 32-bit integers that specifies the denominators of the minimum values for the ranges. The integers in the array must be nonnegative.
  An array of 32-bit integers that specifies the numerators of the maximum values for the ranges. The integers in the array must be nonnegative.
  An array of 32-bit integers that specifies the denominators of the maximum values for the ranges. The integers in the array must be nonnegative.
  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  Calling allows the resources used by this object to be reallocated for other purposes.

  Releases all resources used by this object.

  This method does not return a value.

  1.0.5000.0
  2.0.0.0
- Property
  System.Drawing.Imaging.Encoder To be added: an object of type 'Encoder' To be added

  Gets or sets the object associated with this object. The object encapsulates the globally unique identifier (GUID) that specifies the category (for example , , or ) of the parameter stored in this object.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void To be added

  Allows an object to attempt to free resources and perform other cleanup operations before the object is reclaimed by garbage collection.

  1.0.5000.0
  2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int' To be added

  Gets the number of elements in the array of values stored in this object.

  1.0.5000.0
  2.0.0.0
- Property
  System.Drawing.Imaging.EncoderParameterValueType To be added: an object of type 'EncoderParameterValueType' To be added

  Gets the data type of the values stored in this object.

  1.0.5000.0
  2.0.0.0
- Property
  System.Drawing.Imaging.EncoderParameterValueType To be added: an object of type 'EncoderParameterValueType' To be added

  Gets the data type of the values stored in this object.

  1.0.5000.0
  2.0.0.0